Bug 1418670 - Installation fails when using hostnames
Summary: Installation fails when using hostnames
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: RDO
Classification: Community
Component: openstack-packstack
Version: unspecified
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
: trunk
Assignee: Martin Magr
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 13:31 UTC by l.verhoeven
Modified: 2018-07-17 12:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-17 12:31:01 UTC


Attachments (Terms of Use)

Description l.verhoeven 2017-02-02 13:31:33 UTC
Description of problem:
The installation of the network node and compute nodes fail when using hostnames in the answer file. 

Error:

member(): Wrong number of arguments given (1 for 2) at /var/tmp/packstack/c5dc1c322c5140ebb9bdd5c1404a8942/modules/packstack/manifests/neutron/ovs_agent.pp:29

Installer tries to determine which ip address to use but can't find ip address in list of hostnames

Version-Release number of selected component (if applicable):
Tested in openstack neutron

How reproducible:
Install when using hostnames instead of ip addresses in the answer file.

Steps to Reproduce:
1. set CONFIG_COMPUTE_HOSTS to hostnames
2. set CONFIG_NETWORK_HOSTS to hostnames
3.

Actual results:

Error when running puppet on the network or compute hosts

Expected results:

Completing the installation on the network or compute hosts

Additional info:

When replacing the hostnames with ip adresses after the failure and rerunning the installation it completes.
When starting a new installation with ip addresses for the network and compute hosts but with a hostname for the controller hosts the installation failswith error:

ERROR : Inconsistent host format. Please use either IPv4 addresses, IPv6 adresses or hostnames for all host variables

Comment 1 Christopher Brown 2017-06-22 16:20:35 UTC
Hello,

Sorry you didn't get a response to this.

Can you say if this is still a problem?

If so, can you attach your packstack answer file with as much information as possible and I'll take a look.

Thanks

Comment 2 l.verhoeven 2017-07-03 12:39:02 UTC
Hello Christopher,

I don't know if this is still a problem. I was testing Openstack for myself to see if I could use it at home but have abandoned this project for some time.

I also no longer have the answer file available so I'm afraid that I can't help you with this. All the information that I have still available is in the original bug description.

Best regards,
Luc


Note You need to log in before you can comment on or make changes to this bug.